List extraction templates
GET
/api/v1/extraction-mappings
const url = 'https://api.yggy.tech/api/v1/extraction-mappings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/extraction-mappings \ --header 'Authorization: Bearer <token>'List built-in formats and org-scoped extraction templates.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”List of templates
Media type application/json
object
templates
required
Array<object>
object
id
required
string
externalId
required
string
name
required
string
description
string
format
required
string
mappingJson
required
string
schemaHeaders
Array<string>
customInstructions
string
isTemplate
required
boolean
builtIn
required
boolean
createdAt
string
updatedAt
string
Example generated
{ "templates": [ { "id": "example", "externalId": "example", "name": "example", "description": "example", "format": "example", "mappingJson": "example", "schemaHeaders": [ "example" ], "customInstructions": "example", "isTemplate": true, "builtIn": true, "createdAt": "example", "updatedAt": "example" } ]}